
Foreman - Refactor #33541

Tracker # 30160 (New): Extract Puppet ENC to a plugin

Tracker # 30172 (Closed): Extract Puppet Classes to a plugin

Extract Puppetclass migrations

09/22/2021 03:29 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Puppet integration   

Target version: 3.1.0   

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8790,

https://github.com/theforeman/foreman/p

ull/8865

  

Description

Associated revisions

Revision a18a518d - 10/14/2021 01:00 PM - Ondřej Ezr

Fixes #33541 - drop puppetclass migrations

Removes all migrations related to Puppetclass.

Added in plugin https://github.com/theforeman/foreman_puppet/pull/195

Revision e2046807 - 10/26/2021 01:25 PM - Ondřej Ezr

Refs #33541 - correct naming of association tables

History

#1 - 09/22/2021 11:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8790 added

#2 - 10/14/2021 01:01 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#3 - 10/14/2021 02:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|a18a518d09cba6037d18e6bd694d310eed0886aa.

#4 - 10/21/2021 09:21 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8865 added
